require 'rbconfig'
require 'find'
require 'ftools'

include Config

$srcdir = CONFIG["srcdir"]
$libdir = File.join(CONFIG["libdir"], "ruby", CONFIG["MAJOR"]+"."+CONFIG["MINOR"])
$archdir = File.join($libdir, CONFIG["arch"])
$site_libdir = File.join($libdir, "site_ruby")

def install_rb(srcdir = nil)
  libdir = "lib"
  libdir = File.join(srcdir, libdir) if srcdir
  path = []
  dir = []
  Find.find(libdir) do |f|
#    next unless /\.rb$/ =~ f
    next if (f = f[libdir.length+1..-1]) == nil
    path.push f if File.ftype(File.join("lib", f)) == 'file'
    dir |= File.dirname(f)
  end
  for f in dir
    next if f == "."
    File::makedirs(File.join($site_libdir, f))
  end
  for f in path
    File::install(File.join("lib", f), File.join($site_libdir, f), 0644, true)
  end
end

install_rb
